POST /api/v202203/utilityPlatform/meter/{meterId}/release

Apply a release to a meter

AssignDataAccessReleaseV202203

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The id of the meter integer (int32) Required

Request Body

DataAccessReleaseRequest
Property Description Type
accountNumber Account Number Should be a 12 digit number starting with 2. Required string
dataReleaseFile The response from uploading the file to the file store API: POST /api/v202105/fileStore/fileDataType/{fileDataTypeId}/upload SDK Operation: UploadFile string
declined Is the data release declined If true is passed the data provider must support declining a data release otherwise this will throw an exception boolean
nameOnBill Required string
serviceAddress Required string
Example Request Body application/json
{  "accountNumber": "string",  "dataReleaseFile": "string",  "declined": false,  "nameOnBill": "string",  "serviceAddress": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

DataAccessReleaseState
Property Description Type
releaseStatus DataAccessReleaseStatus
DataAccessReleaseStatus properties
Property Description Type
dataAccessReleaseStatusId Id of the Data Access Release Status Possible values are: 1 - Not Applicable 2 - Required 3 - Pending 4 - Released 5 - Declined integer (int32)
dataAccessReleaseStatusInfo Data Access Release Status Information Possible values are: Not Applicable Required Pending Released Declined string
submittedDate The date that the data access release was submitted. Null if there is not a release yet. string (date-time)
Example Response application/json
{  "releaseStatus": {    "dataAccessReleaseStatusId": 1,    "dataAccessReleaseStatusInfo": "string"
  },  "submittedDate": "2026-03-30"
}